#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {  

  bool Stat::have_counter (void)
  {
    for (std::map<std::string, var_t>::iterator i=_list_operand->begin();
	 i!= _list_operand->end();
	 ++i)
      if (i->second.type == TYPE_COUNTER)
	return true;

    return false;
  }
};  
};
#endif
